Bug 237996 - hald memory use increases
hald memory use increases
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: hal (Show other bugs)
4.4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-26 10:12 EDT by kent lamb
Modified: 2010-06-07 01:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-07 01:33:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kent lamb 2007-04-26 10:12:10 EDT
Description of problem:

The amount of memory used by hald increases daily on daul-core boxes

Version-Release number of selected component (if applicable):

RHEL 4.4

How reproducible:

Occurs daily

Steps to Reproduce:
1. RHEL 4.4 on box with 2 dual-core processors, 4 gig of ram
2.
3.
  
Actual results:

output from one of the boxes:

4/12-3:57
[root@102646-db1 ~]# ps aux | sort -n +3 -r | head -15
root      5787  0.0  1.5 94120 62080 ?       S<l   2006  82:42 clurgmgrd
mysql    19202  0.0  0.8 141580 32112 ?      Sl    2006  56:05 /usr/sbin/mysqld
--basedir=/ --datadir=/var/lib/mysql --user=mysql --pid
root      5571  0.0  0.7 42560 29804 ?       Ss    2006  27:12 hald
root       379  0.0  0.2 101588 8932 ?       Sl   Apr01   0:17 /usr/sbin/snmpd
-Lsd -Lf /dev/null -p /var/run/snmpd -a
root      6063  0.0  0.1 26168 7176 ?        Ss    2006   0:00 /usr/bin/perl
/usr/libexec/webmin/miniserv.pl /etc/webmin/miniserv.conf
root      5701  0.0  0.1 25088 5996 ?        Sl    2006   0:00
/opt/hp/vcagent/bin/vcagentd
root      3851  0.0  0.1 96544 5956 ?        Ss    2006   0:01
/opt/hp/hpsmh/sbin/hpsmhd -DSSL -f /opt/hp/hpsmh/conf/smhpd.conf
ntp       3465  0.0  0.1 18564 5300 ?        SLs   2006   0:03 ntpd -u ntp:ntp
-p /var/run/ntpd.pid -g
hpsmh     3874  0.0  0.1 374200 4740 ?       Sl    2006   0:00
/opt/hp/hpsmh/sbin/hpsmhd -DSSL -f /opt/hp/hpsmh/conf/smhpd.conf
xfs       3911  0.0  0.0  9612 1180 ?        Ss    2006   0:00 xfs -droppriv -daemon
USER       PID %CPU %MEM   VSZ  RSS TTY      STAT START   TIME COMMAND
rpc       3173  0.0  0.0  4748  588 ?        Ss    2006   0:00 portmap
root        92  0.0  0.0     0    0 ?        S<    2006   0:00 [aio/3]
root        91  0.0  0.0     0    0 ?        S<    2006   0:00 [aio/2]
root         9  0.0  0.0     0    0 ?        SN    2006   0:02 [ksoftirqd/3]


4/16-7:22AM

[root@102646-db1 ~]# ps aux | sort -n +3 -r | head -15                  
root      5787  0.0  1.6 96168 64048 ?       S<l   2006  88:17 clurgmgrd
root      5571  0.0  1.0 52460 39636 ?       Ss    2006  28:12 hald
mysql    19202  0.0  0.8 141580 32112 ?      Sl    2006  57:37 /usr/sbin/mysqld
--basedir=/ --datadir=/var/lib/mysql --user=mysql --pid
root       379  0.0  0.2 101588 8932 ?       Sl   Apr01   0:22 /usr/sbin/snmpd
-Lsd -Lf /dev/null -p /var/run/snmpd -a
root      6063  0.0  0.1 26168 7176 ?        Ss    2006   0:00 /usr/bin/perl
/usr/libexec/webmin/miniserv.pl /etc/webmin/miniserv.conf
root      5701  0.0  0.1 25088 5996 ?        Sl    2006   0:00
/opt/hp/vcagent/bin/vcagentd
root      3851  0.0  0.1 96544 5956 ?        Ss    2006   0:01
/opt/hp/hpsmh/sbin/hpsmhd -DSSL -f /opt/hp/hpsmh/conf/smhpd.conf
ntp       3465  0.0  0.1 18564 5300 ?        SLs   2006   0:03 ntpd -u ntp:ntp
-p /var/run/ntpd.pid -g
hpsmh     3874  0.0  0.1 374200 4740 ?       Sl    2006   0:00
/opt/hp/hpsmh/sbin/hpsmhd -DSSL -f /opt/hp/hpsmh/conf/smhpd.conf
xfs       3911  0.0  0.0  9612 1180 ?        Ss    2006   0:00 xfs -droppriv -daemon
USER       PID %CPU %MEM   VSZ  RSS TTY      STAT START   TIME COMMAND
rpc       3173  0.0  0.0  4748  588 ?        Ss    2006   0:00 portmap
root        92  0.0  0.0     0    0 ?        S<    2006   0:00 [aio/3]
root        91  0.0  0.0     0    0 ?        S<    2006   0:00 [aio/2]
root         9  0.0  0.0     0    0 ?        SN    2006   0:02 [ksoftirqd/3]


4-17  - 8:29am

[root@102646-db1 ~]# ps aux | sort -n +3 -r | head -15                  
root      5787  0.0  1.6 96680 64608 ?       S<l   2006  89:53 clurgmgrd
root      5571  0.0  1.0 55232 42432 ?       Ss    2006  28:28 hald
mysql    19202  0.0  0.8 141580 32112 ?      Sl    2006  58:00 /usr/sbin/mysqld
--basedir=/ --datadir=/var/lib/mysql --user=mysql --pid
root       379  0.0  0.2 101588 8932 ?       Sl   Apr01   0:23 /usr/sbin/snmpd
-Lsd -Lf /dev/null -p /var/run/snmpd -a
root      6063  0.0  0.1 26168 7176 ?        Ss    2006   0:00 /usr/bin/perl
/usr/libexec/webmin/miniserv.pl /etc/webmin/miniserv.conf
root      5701  0.0  0.1 25088 5996 ?        Sl    2006   0:00
/opt/hp/vcagent/bin/vcagentd
root      3851  0.0  0.1 96544 5956 ?        Ss    2006   0:01
/opt/hp/hpsmh/sbin/hpsmhd -DSSL -f /opt/hp/hpsmh/conf/smhpd.conf
ntp       3465  0.0  0.1 18564 5300 ?        SLs   2006   0:03 ntpd -u ntp:ntp
-p /var/run/ntpd.pid -g
hpsmh     3874  0.0  0.1 374200 4740 ?       Sl    2006   0:00
/opt/hp/hpsmh/sbin/hpsmhd -DSSL -f /opt/hp/hpsmh/conf/smhpd.conf
xfs       3911  0.0  0.0  9612 1180 ?        Ss    2006   0:00 xfs -droppriv -daemon
USER       PID %CPU %MEM   VSZ  RSS TTY      STAT START   TIME COMMAND
rpc       3173  0.0  0.0  4748  588 ?        Ss    2006   0:00 portmap
root        92  0.0  0.0     0    0 ?        S<    2006   0:00 [aio/3]
root        91  0.0  0.0     0    0 ?        S<    2006   0:00 [aio/2]
root         9  0.0  0.0     0    0 ?        SN    2006   0:02 [ksoftirqd/3]



4/18 - 7:45 AM

[root@102646-db1 ~]# ps aux | sort -n +3 -r | head -15                  
root      5787  0.0  1.6 97192 65136 ?       S<l   2006  91:25 clurgmgrd
root      5571  0.0  1.1 57872 45080 ?       Ss    2006  28:43 hald
mysql    19202  0.0  0.8 141580 32112 ?      Sl    2006  58:29 /usr/sbin/mysqld
--basedir=/ --datadir=/var/lib/mysql --user=mysql --pid
root       379  0.0  0.2 101588 8932 ?       Sl   Apr01   0:24 /usr/sbin/snmpd
-Lsd -Lf /dev/null -p /var/run/snmpd -a
root      6063  0.0  0.1 26168 7176 ?        Ss    2006   0:00 /usr/bin/perl
/usr/libexec/webmin/miniserv.pl /etc/webmin/miniserv.conf
root      5701  0.0  0.1 25088 5996 ?        Sl    2006   0:00
/opt/hp/vcagent/bin/vcagentd
root      3851  0.0  0.1 96544 5956 ?        Ss    2006   0:01
/opt/hp/hpsmh/sbin/hpsmhd -DSSL -f /opt/hp/hpsmh/conf/smhpd.conf
ntp       3465  0.0  0.1 18564 5300 ?        SLs   2006   0:03 ntpd -u ntp:ntp
-p /var/run/ntpd.pid -g
hpsmh     3874  0.0  0.1 374200 4740 ?       Sl    2006   0:00
/opt/hp/hpsmh/sbin/hpsmhd -DSSL -f /opt/hp/hpsmh/conf/smhpd.conf
xfs       3911  0.0  0.0  9612 1180 ?        Ss    2006   0:00 xfs -droppriv -daemon



4/19 - 7:39AM

[root@102646-db1 ~]# ps aux | sort -n +3 -r | head -15                  
root      5787  0.0  1.6 97832 65672 ?       S<l   2006  92:59 clurgmgrd
root      5571  0.0  1.2 60512 47764 ?       Ss    2006  28:59 hald
mysql    19202  0.0  0.8 141576 32108 ?      Sl    2006  58:58 /usr/sbin/mysqld
--basedir=/ --datadir=/var/lib/mysql --user=mysql --pid
root       379  0.0  0.2 101588 8932 ?       Sl   Apr01   0:26 /usr/sbin/snmpd
-Lsd -Lf /dev/null -p /var/run/snmpd -a
root      6063  0.0  0.1 26168 7176 ?        Ss    2006   0:00 /usr/bin/perl
/usr/libexec/webmin/miniserv.pl /etc/webmin/miniserv.conf
root      5701  0.0  0.1 25088 5996 ?        Sl    2006   0:00
/opt/hp/vcagent/bin/vcagentd
root      3851  0.0  0.1 96544 5956 ?        Ss    2006   0:01
/opt/hp/hpsmh/sbin/hpsmhd -DSSL -f /opt/hp/hpsmh/conf/smhpd.conf
ntp       3465  0.0  0.1 18564 5300 ?        SLs   2006   0:03 ntpd -u ntp:ntp
-p /var/run/ntpd.pid -g
hpsmh     3874  0.0  0.1 374200 4740 ?       Sl    2006   0:00
/opt/hp/hpsmh/sbin/hpsmhd -DSSL -f /opt/hp/hpsmh/conf/smhpd.conf
xfs       3911  0.0  0.0  9612 1180 ?        Ss    2006   0:00 xfs -droppriv -daemon


Expected results:


Additional info:

hapening on several like architecture servers
Comment 2 Issue Tracker 2007-06-25 10:59:08 EDT
Dan,

I'm not able to find specifics on what did it.  I going to go ahead and
close tis, but I'll keep looking and let you know if I can find a
definate answer...

kent


Internal Status set to 'Resolved'
Status set to: Closed by Tech
Resolution set to: 'RHEL 4.5'

This event sent from IssueTracker by klamb@redhat.com 
 issue 119188

Note You need to log in before you can comment on or make changes to this bug.